%define majver %(echo %version | cut -d. -f 1)

Name:          nautilus
Version:       41.0
Release:       1mamba
Summary:       A graphical shell for the GNOME desktop enviornment
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        https://ftp.gnome.org/pub/gnome/sources/nautilus/%{majver}/nautilus-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgexiv2-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-autoar-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk3-devel
BuildRequires: libhandy-devel
BuildRequires: libpango-devel
BuildRequires: libportal-devel
BuildRequires: libtracker-devel
## AUTOBUILDREQ-END
BuildRequires: libfam-devel
BuildRequires: gnome-menus-devel
BuildRequires: libgcc
BuildRequires: libgail-devel
BuildRequires: libtracker-devel >= 2.1.2
BuildRequires: gnome-desktop-devel >= %{majver}
Requires:      gvfs
Provides:      nautilus-cd-burner
Obsoletes:     nautilus-cd-burner < 40.1
Provides:      libeel
Obsoletes:     libeel < 40.1

%description
Nautilus is a graphical shell for the GNOME desktop enviornment that makes it easy to manage your files and the rest of your system.

%package -n    libnautilus-extension
Summary:       A library for extending nautilus file manager functionalities
Group:         Development/Libraries

%description -n libnautilus-extension
A library for extending nautilus file manager functionalities.
This package contains static libraries and header files need for development.

%package -n libnautilus-extension-devel
Summary:       Devel package for libnautilis
Group:         Development/Libraries
Requires:      libnautilus-extension = %{?epoch:%epoch:}%{version}-%{release}

%description -n libnautilus-extension-devel
A library for extending nautilus file manager functionalities.
This package contains static libraries and header files need for development.

%package docs
Summary:       Documentation for %{name}
Group:         Documentation
Requires:        %{name} = %{version}-%{release}

%description docs
Documentation for %{name}.

%debug_package

%prep
%setup -q

%build
%meson \
   -Denable-docs=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/nautilus
%{_bindir}/nautilus-autorun-software
%{_datadir}/dbus-1/services/org.*.service
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.xml
%{_datadir}/applications/org.gnome.Nautilus.desktop
%{_datadir}/applications/nautilus-autorun-software.desktop
%{_datadir}/gnome-shell/search-providers/org.gnome.Nautilus.search-provider.ini
%{_datadir}/metainfo/org.gnome.Nautilus.appdata.xml
%{_datadir}/nautilus/ontology/nautilus.description
%{_datadir}/nautilus/ontology/nautilus.ontology
%{_datadir}/tracker3/domain-ontologies/org.gnome.Nautilus.domain.rule
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Nautilus.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Nautilus-symbolic.svg
%doc LICENSE

%files -n libnautilus-extension
%defattr(-,root,root)
%{_libdir}/libnautilus-extension.so.*
%dir %{_libdir}/nautilus/extensions-3.0
%{_libdir}/nautilus/extensions-3.0/*
%{_libdir}/girepository-1.0/Nautilus-3.0.typelib

%files -n libnautilus-extension-devel
%defattr(-,root,root)
%{_libdir}/libnautilus-extension.so
%dir %{_includedir}/nautilus/libnautilus-extension
%{_includedir}/nautilus/libnautilus-extension/*.h
%{_includedir}/nautilus/nautilus-extension.h
%{_datadir}/gir-1.0/Nautilus-3.0.gir
%{_libdir}/pkgconfig/*.pc
%doc NEWS README.md

#%files docs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/libnautilus-extension
#%{_datadir}/gtk-doc/html/libnautilus-extension/*

%changelog
* Tue Sep 21 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 40.2-1mamba
- automatic version update by autodist

* Mon May 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.1-1mamba
- update to 40.1

* Thu Nov 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.1-1mamba
- update to 3.38.1

* Fri May 29 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1.1-1mamba
- automatic version update by autodist

* Fri Mar 27 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Fri Nov 22 2019 Automatic Build System <autodist@mambasoft.it> 3.34.2-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Automatic Build System <autodist@mambasoft.it> 3.34.1-1mamba
- automatic version update by autodist

* Wed Aug 07 2019 Automatic Build System <autodist@mambasoft.it> 3.32.3-1mamba
- automatic version update by autodist

* Tue Aug 06 2019 Automatic Build System <autodist@mambasoft.it> 3.32.2-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 3.32.1-1mamba
- automatic version update by autodist

* Mon Dec 24 2018 Automatic Build System <autodist@mambasoft.it> 3.30.5-1mamba
- automatic version update by autodist

* Wed Oct 31 2018 Automatic Build System <autodist@mambasoft.it> 3.30.3-1mamba
- automatic version update by autodist

* Sat Oct 13 2018 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Wed Oct 03 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Wed Sep 19 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 3.22.3-1mamba
- automatic update by autodist

* Sun Dec 03 2017 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Fri Jul 29 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 3.18.5-1mamba
- automatic version update by autodist

* Sat Dec 19 2015 Automatic Build System <autodist@mambasoft.it> 3.18.4-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Thu May 14 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Wed Nov 26 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Fri Jul 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.2-2mamba
- rebuilt with tracker 1.0

* Wed May 14 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Sun Apr 13 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon Nov 04 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.0-2mamba
- rebuilt with gnome-desktop >= 3.8.0

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Aug 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Wed Nov 09 2011 Automatic Build System <autodist@mambasoft.it> 3.3.1.1-1mamba
- automatic version update by autodist

* Tue Oct 18 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-3mamba
- added requirement for gvfs

* Tue Aug 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-2mamba
- rebuilt with libevolution-data-server 3

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Tue Dec 28 2010 Automatic Build System <autodist@mambasoft.it> 2.32.2.1-1mamba
- automatic update by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 2.32.2-1mamba
- automatic update to 2.32.2 by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Sun Oct 10 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Tue Dec 15 2009 Automatic Build System <autodist@mambasoft.it> 2.28.4-1mamba
- automatic update to 2.28.4 by autodist

* Mon Dec 14 2009 Automatic Build System <autodist@mambasoft.it> 2.28.3-1mamba
- automatic update to 2.28.3 by autodist

* Tue Dec 01 2009 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update to 2.28.2 by autodist

* Tue Oct 20 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Tue May 19 2009 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update to 2.26.3 by autodist

* Tue Apr 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.2-1mamba
- automatic update to 2.26.2 by autodist

* Tue Apr 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update to 2.26.1 by autodist

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Mon Nov 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-1mamba
- automatic update to 2.24.2 by autodist

* Tue Oct 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.1-1mamba
- automatic update to 2.24.1 by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Fri Aug 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.5.1-1mamba
- update to 2.22.5.1

* Mon Jul 07 2008 gil <puntogil@libero.it> 2.22.4-1mamba
- update to 2.22.4
- build with: gnome-desktop-devel =  2.22.2; libeel-devel =  2.22.2

* Wed Dec 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.0-1mamba
- package created by autospec
